---
- name: Create config directories
  file:
    path: '~/.config/{{ item }}'
    state: directory
    mode: 0755
  loop:
    - sway
    - swaylock
    - swaynag

- name: Copy swaylock config
  template:
    src: swaylock.j2
    dest: ~/.config/swaylock/config
    force: yes
    mode: 0644

- name: Copy swaynag config
  template:
    src: swaynag.j2
    dest: ~/.config/swaynag/config
    force: yes
    mode: 0644

- name: Copy sway config
  template:
    src: swayconfig.j2
    dest: ~/.config/sway/config
    force: yes
    mode: 0644
